WaitFor.Unit (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.WaitFor.Unit class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class WaitFor.Unit

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.WaitFor.Unit

Enclosing class:
  WaitFor

    public static class WaitFor.Unit

extends EnumeratedAttribute

The enumeration of units: millisecond, second, minute, hour, day, week

To do:
  we use timestamps in many places, why not factor this out

Field Summary
`static java.lang.String` | `DAY` day string
`static java.lang.String` | `HOUR` hour string
`static java.lang.String` | `MILLISECOND` millisecond string
`static java.lang.String` | `MINUTE` minute string
`static java.lang.String` | `SECOND` second string
`static java.lang.String` | `WEEK` week string

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`WaitFor.Unit()` Constructor the Unit enumerated type.

Method Summary
`long` | `getMultiplier()` Convert the value to a multipler (millisecond to unit).
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MILLISECOND

    public static final java.lang.String MILLISECOND

  millisecond string

  See Also:
    Constant Field Values

### SECOND

    public static final java.lang.String SECOND

  second string

  See Also:
    Constant Field Values

### MINUTE

    public static final java.lang.String MINUTE

  minute string

  See Also:
    Constant Field Values

### HOUR

    public static final java.lang.String HOUR

  hour string

  See Also:
    Constant Field Values

### DAY

    public static final java.lang.String DAY

  day string

  See Also:
    Constant Field Values

### WEEK

    public static final java.lang.String WEEK

  week string

  See Also:
    Constant Field Values

Constructor Detail

### WaitFor.Unit

    public WaitFor.Unit()

  Constructor the Unit enumerated type.

Method Detail

### getMultiplier

    public long getMultiplier()

  Convert the value to a multipler (millisecond to unit).

  Returns:
    a multipler (a long value)

### getValues

    public java.lang.String[] getValues()

  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD